#include "scene.h"

void scene_init(scene_t* s, int dt){
    static int i;
    s->init_func(s, dt);
    for (i = 0; i < s->nsprite; i++){
        s->sprites[i]->init_func(s->sprites[i],dt);
    }
}

void scene_update(scene_t* s, int dt){
    static int i;
    s->update_func(s, dt);
    for (i = 0; i < s->nsprite; i++){
        s->sprites[i]->update_func(s->sprites[i],dt);
    }
}