#include "game_manager.h"

extern char key_old;
void scene_credits_update(scene_t* s, int dt){
    
    if (getbuttondown(KEY_A)){
        if (!(key_old & (1<<2))) {
            DmaChnEnable(DMAbgm);
            DmaChnEnable(DMAhit);
            game_manager_load_scene(0);
        }
        key_old |= (1 << 2);
    } else {
        key_old &= ~(1 << 2);
    }
    
}

char title_str[18];
char credits_str[30];
char credits_str2[30];
char credits_str3[30];

void scene_credits_init(scene_t* s, int dt){
    
    video_clr();
    
    s->update_func = scene_credits_update;
    
    // Draw the screen boundaries
    video_line(left+30,top+25, right-30,top+25, 1); // top
    video_line(right-30,top+25, right-30,bottom-25, 1); // right
    video_line(right-30,bottom-25, left+30,bottom-25, 1); // bottom
    video_line(left+30,top+25, left+30,bottom-25 ,1); // left
    
    sprintf(title_str, "PICGAME Console");
    video_string((left+right)/2-37, top+35, title_str);
    
    sprintf(credits_str, "ECE4760 Final Project");
    video_string((left+right)/2-62, (bottom+top)/2-20, credits_str);
    
    sprintf(credits_str2, "By Dongze Yue");
    video_string((left+right)/2-44, (bottom+top)/2, credits_str2);
    
    sprintf(credits_str3, "Yixiao Zhang, Yuqing Sun.");
    video_string((left+right)/2-76, (bottom+top)/2+20, credits_str3);
    
    DmaChnDisable(DMAbgm);
    
}

scene_t scene_credits = {scene_credits_init, NULL, NULL, 0};