#include <plib.h>

#define CTRL_LATCH_PORT IOPORT_B
#define CTRL_CLK_PORT IOPORT_B
#define CTRL_DATA_PORT IOPORT_B

#define CTRL_CLK BIT_1 // 
#define CTRL_LATCH BIT_0 //
#define CTRL_DATA BIT_2 //

#define KEY_A 0x80
#define KEY_B 0x40
#define KEY_START 0x10
#define KEY_SELECT 0x20
#define KEY_UP 0x8
#define KEY_DOWN 0x4
#define KEY_LEFT 0x2
#define KEY_RIGHT 0x1

extern unsigned char controller_status;

void init_controller();
void update_controller(unsigned char* status, void (*delay_us_func)(int));
int getbuttondown(unsigned char key);
int getbuttontoggle(unsigned char key);