#include "sprite.h"

vector2d sprite_getpos(sprite_t* s){
	return s->pos;
}

void sprite_move(sprite_t* s, vector2d* v){
	s->pos = *v;
}

void sprite_set_update_function(sprite_t* s, sprite_func_t f){
	s->update_func = f;
}

void sprite_clear_update_function(sprite_t* s){
	s->update_func = NULL;
}

void sprite_set_init_function(sprite_t* s, sprite_func_t f){
	s->init_func = f;
}

void sprite_clear_init_function(sprite_t* s){
	s->init_func = NULL;
}

